post
/v1/transactions/logs/load
https://platform.sitepro.com/v1/transactions/logs/load
Transaction logs for one or more sites in a time range
Sample Request Body
{ "siteIds": [ 1234 ], "start": "2024-07-01T00:00:00Z", "end": "2024-08-01T00:00:00Z", "motionCap": false, "modifiedAfter": "2024-07-15T00:00:00Z" }
Expected responses
{ "description": "", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "properties": { "siteName": { "type": "string", "example": "Test SWD", "nullable": true }, "status": { "type": "object", "properties": { "review": { "type": "string", "example": "Fully Approved" }, "regulatory": { "type": "boolean", "example": true } }, "required": [ "review", "regulatory" ] }, "startTime": { "type": "string", "example": "2017-01-26T14:43:00.000Z" }, "endTime": { "type": "string", "example": "2017-01-26T14:45:00.000Z" }, "lastModified": { "type": "string", "example": "2024-06-15T12:00:00.000Z", "nullable": true }, "sourceSiteTimeZone": { "type": "string", "example": "Central Standard Time", "nullable": true }, "source": { "type": "object", "properties": { "state": { "type": "string", "example": "TX", "nullable": true }, "company": { "type": "string", "example": "TEST OPERATING", "nullable": true }, "siteID": { "type": "number", "example": 4321, "nullable": true }, "siteName": { "type": "string", "example": "TEST SITE 1", "nullable": true }, "districtNumber": { "type": "number", "example": 1, "nullable": true }, "county": { "type": "string", "example": "HARRISON", "nullable": true }, "operatorName": { "type": "string", "example": "TEST OPERATING", "nullable": true }, "operatorNumber": { "type": "number", "example": 5678, "nullable": true }, "leaseName": { "type": "string", "example": "Test Lease", "nullable": true }, "leaseNumber": { "type": "number", "example": 9012, "nullable": true }, "fieldName": { "type": "string", "example": "Test Field", "nullable": true }, "fieldNumber": { "type": "number", "example": 3456, "nullable": true }, "wellName": { "type": "string", "example": "Test Well | 1a", "nullable": true }, "API": { "type": "string", "example": "123456789", "nullable": true }, "drillingPermitNumber": { "type": "number", "example": 1234, "nullable": true } }, "required": [ "state", "company", "siteID", "siteName", "districtNumber", "county", "operatorName", "operatorNumber", "leaseName", "leaseNumber", "fieldName", "fieldNumber", "wellName", "API", "drillingPermitNumber" ] }, "service": { "type": "object", "properties": { "companyName": { "type": "string", "example": "Test Trucking Company", "nullable": true }, "waterHaulerPermitNum": { "type": "number", "example": 123456, "nullable": true }, "driver": { "type": "string", "example": "SitePro Driver", "nullable": true }, "truckNum": { "type": "string", "example": "123", "nullable": true }, "ticketNum": { "type": "number", "example": 123456, "nullable": true }, "manifestNum": { "type": "number", "example": 123456, "nullable": true }, "type": { "type": "string", "example": "Disposal" } }, "required": [ "companyName", "waterHaulerPermitNum", "driver", "truckNum", "ticketNum", "manifestNum", "type" ] }, "destination": { "type": "object", "properties": { "companyName": { "type": "string", "example": "SitePro Demo", "nullable": true }, "siteName": { "type": "string", "example": "TEST SITE 2", "nullable": true }, "siteID": { "type": "number", "example": 1234, "nullable": true }, "ticketNum": { "type": "number", "example": 654321, "nullable": true }, "ticketPrefix": { "type": "string", "example": "", "nullable": true } }, "required": [ "companyName", "siteName", "siteID", "ticketNum", "ticketPrefix" ] }, "laneName": { "type": "string", "example": "Test Lane 1", "nullable": true }, "amount": { "type": "number", "example": 180, "nullable": true }, "meteredAmount": { "type": "number", "example": 183.12, "nullable": true }, "units": { "type": "string", "example": "bbl", "nullable": true }, "onSiteTimes": { "type": "object", "properties": { "sourceTime": { "type": "string", "example": "00:00" }, "destinationTime": { "type": "string", "example": "00:00" } }, "required": [ "sourceTime", "destinationTime" ] }, "rate": { "type": "number", "example": 7.2, "nullable": true }, "notes": { "type": "string", "example": "A Note left on the ticket.", "nullable": true }, "fluidType": { "type": "string", "example": "Production", "nullable": true }, "avgDensity": { "type": "number", "example": 0 }, "imageUUIDs": { "example": [], "description": "Only populated when request body has motionCap=true", "type": "array", "items": { "type": "string" } }, "ticketImage": { "type": "string", "example": "F56A4180-65AA-42EC-A945-5FD21DEC0536" }, "ticketID": { "type": "number", "example": 157365 }, "includeInRegulatoryReport": { "type": "boolean", "example": true, "nullable": true } }, "required": [ "siteName", "status", "startTime", "endTime", "lastModified", "sourceSiteTimeZone", "source", "service", "destination", "laneName", "amount", "meteredAmount", "units", "onSiteTimes", "rate", "notes", "fluidType", "imageUUIDs", "ticketImage", "ticketID", "includeInRegulatoryReport" ] } } } } }
Related schemas
| Name | Type | Example | Description |
|---|---|---|---|
| siteIds | array | 1234 | Site IDs to fetch transactions for |
| start | string | 2024-07-01T00:00:00Z | |
| end | string | 2024-08-01T00:00:00Z | |
| motionCap | boolean | When true, populate `imageUUIDs` with motion-capture image UUIDs within a 10-minute window of the ticket start | |
| modifiedAfter | string | 2024-07-15T00:00:00Z | When set, only transactions modified after this ISO 8601 UTC timestamp are returned |
curl -X POST -H "Authorization: Bearer <JWT_Token>" -H "Content-Type: application/json" -d '{ "siteIds": [ 1234 ], "start": "2024-07-01T00:00:00Z", "end": "2024-08-01T00:00:00Z", "motionCap": false, "modifiedAfter": "2024-07-15T00:00:00Z" }' "https://platform.sitepro.com/v1/transactions/logs/load"
Authorization
Bearer
Properties
Warning: This endpoint can affect production data.